# A Minimalist Anonymous Brainstorming Tool
#
# Users enter "ideas", which appear on the screens of all group members.
# It is "minimalist" as a person cannot save the ideas to a file, and
# does not see old ideas if they join a session in progress.
# It is missing applicaton-specific help, a scroll bar, and resizing 
# capabilities 

# Initialize conference
gk_initConf $argv

# Create the default groupkit pulldown menu bar, and put it on the top
gk_defaultMenu .menubar

# Make a listbox to contain the shared ideas, and 
listbox .shared_list -geometry 40x8

# Make a labelled entry where the user can type in ideas.
frame .bottom 
label .bottom.label -text Enter
entry .bottom.idea_entry -textvariable myIdea -relief sunken 
focus .bottom.idea_entry

# Enter the idea into the shared list after every <return>
bind .bottom.idea_entry <Return> "put_entry_in_list"

# Put it all together
pack .bottom.label -side left 
pack .bottom.idea_entry -side left -expand yes -fill x
pack .bottom -side bottom -fill x
pack .menubar -side top -fill x 
pack .shared_list -side left -fill x

# Tell all application instances to insert the idea into the shared list.
proc put_entry_in_list {} { global myIdea
    if {$myIdea != ""} {
        gk_toAll .shared_list insert end $myIdea
        set myIdea ""
    }
}

