#include "gk.h"

extern Tcl_KeyldelCmd();
extern Tcl_KeylgetCmd();
extern Tcl_KeylkeysCmd();
extern Tcl_KeylsetCmd();
     
extern Tcl_RandomCmd();

/*** GK stuff */
char gkInitCmd[] = "lappend auto_path $gk_library";

int Tgk_Init(interp)
  Tcl_Interp *interp;
{
    char* gklibdir;
    gklibdir = (char *)getenv("GK_LIBRARY");
    if (gklibdir == NULL) {
      gklibdir = GK_LIBRARY;
    }
    Tcl_SetVar(interp, "gk_library", gklibdir, TCL_GLOBAL_ONLY );


/** KEYED LIST */
     Tcl_CreateCommand(interp, "keyldel", Tcl_KeyldelCmd, (ClientData) NULL,
             (Tcl_CmdDeleteProc *) NULL);
     Tcl_CreateCommand(interp, "keylget", Tcl_KeylgetCmd, (ClientData) NULL,
             (Tcl_CmdDeleteProc *) NULL);
     Tcl_CreateCommand(interp, "keylkeys", Tcl_KeylkeysCmd, (ClientData) NULL,
             (Tcl_CmdDeleteProc *) NULL);
     Tcl_CreateCommand(interp, "keylset", Tcl_KeylsetCmd, (ClientData) NULL,
             (Tcl_CmdDeleteProc *) NULL);
     Tcl_CreateCommand (interp, "random", Tcl_RandomCmd, (ClientData) NULL,
             (Tcl_CmdDeleteProc *) NULL);

    return Tcl_GlobalEval(interp, gkInitCmd); 
}

